=== data/CMakeLists.txt ===
project(data)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindPySide.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindPySide.cmake
        DESTINATION share/cmake-2.6/Modules)


# create pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pyside.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pyside.pc
        DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)


# generate global include file
if (${CMAKE_HOST_UNIX})
  if (${CMAKE_HOST_APPLE})
      set(OS_APPLE  "1")
      set(OS_X11    "0")
  else (${CMAKE_HOST_APPLE})
      set(OS_APPLE  "0")
      set(OS_X11    "1")
  endif(${CMAKE_HOST_APPLE})
endif(${CMAKE_HOST_UNIX})

if (${CMAKE_SIZEOF_VOID_P} MATCHES "64")
    set(SYSTEM_64 "1")
else (${CMAKE_SIZEOF_VOID_P} MATCHES "64")
    set(SYSTEM_64 "0")
endif (${CMAKE_SIZEOF_VOID_P} MATCHES "64")

set(DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/global.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/global.h @ONLY)


add_subdirectory(typesystem)
