=== PySide/QtGui/CMakeLists.txt ===
project(QtGui)
# project definition
# qt 4.5 classes

IF(Q_WS_X11)
    SET(MODULE_NAME gui_x11)
    SET(SPECIFIC_OS_FILES
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qx11info_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qx11info_wrapper.hpp
       )

ELSEIF(Q_WS_MAC)
    SET(MODULE_NAME gui_mac)
    SET(SPECIFIC_OS_FILES
       )
ELSE(Q_WS_MAC)
    MESSAGE(FATAL_ERROR "OS not supported")
ENDIF(Q_WS_X11)

if ((${QT_VERSION_MAJOR} EQUAL 4) AND (${QT_VERSION_MINOR} LESS 6))
    set (QtGui_46_SRC )
else ((${QT_VERSION_MAJOR} EQUAL 4) AND (${QT_VERSION_MINOR} LESS 6))
    set(QtGui_46_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix2x2_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix2x2_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix2x3_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix2x3_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix2x4_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix2x4_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix3x2_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix3x2_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix3x3_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix3x3_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix3x4_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix3x4_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix4x2_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix4x2_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix4x3_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix4x3_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix4x4_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmatrix4x4_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgesture_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgesture_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgesturerecognizer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgesturerecognizer_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsanchor_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsanchor_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsanchorlayout_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsanchorlayout_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsblureffect_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsblureffect_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicscolorizeeffect_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicscolorizeeffect_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsdropshadoweffect_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsdropshadoweffect_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicseffect_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicseffect_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsobject_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsobject_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsopacityeffect_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsopacityeffect_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsrotation_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsrotation_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsscale_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicsscale_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicstransform_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qgraphicstransform_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qkeyeventtransition_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qkeyeventtransition_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmouseeventtransition_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qmouseeventtransition_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qpangesture_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qpangesture_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qpinchgesture_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qpinchgesture_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qquaternion_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qquaternion_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qswipegesture_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qswipegesture_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qtilerules_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qtilerules_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qtouchevent_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qtouchevent_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qtouchevent_touchpoint_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qtouchevent_touchpoint_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qvector2d_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qvector2d_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qvector3d_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qvector3d_wrapper.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qvector4d_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qvector4d_wrapper.hpp
    )
endif ((${QT_VERSION_MAJOR} EQUAL 4) AND (${QT_VERSION_MINOR} LESS 6))

set(QtGui_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/converter_register_qtgui.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractbutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractbutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractgraphicsshapeitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractgraphicsshapeitem_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemdelegate_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemdelegate_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractitemview_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractproxymodel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractproxymodel_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractscrollarea_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractscrollarea_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractslider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractslider_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractspinbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstractspinbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_paintcontext_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_paintcontext_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_selection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_selection_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qabstracttextdocumentlayout_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactionevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactionevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactiongroup_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qactiongroup_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qaction_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qaction_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qapplication_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qapplication_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbitmap_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbitmap_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qboxlayout_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qboxlayout_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbrush_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbrush_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbuttongroup_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qbuttongroup_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcalendarwidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcalendarwidget_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcdestyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcdestyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcheckbox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcheckbox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcleanlooksstyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcleanlooksstyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qclipboard_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qclipboard_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcloseevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcloseevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolordialog_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolordialog_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolor_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolumnview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcolumnview_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcombobox_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcombobox_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommandlinkbutton_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommandlinkbutton_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommonstyle_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcommonstyle_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcompleter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcompleter_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qconicalgradient_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qconicalgradient_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcontextmenuevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcontextmenuevent_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcursor_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qcursor_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatawidgetmapper_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdatawidgetmapper_wrapper.hpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/QtGui/qdateedit_wrapper.cpp
