=== debian/changelog ===
pyside-qt4 (0.2.2-0maemo2) unstable; urgency=low

  * Include i386 prebuilt binaries.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Mon, 30 Nov 2009 11:38:59 -0400

pyside-qt4 (0.2.2-0maemo1) unstable; urgency=low

  * Final 0.2.2 release for Maemo.
  * Replace Qt4 package names in Depends with libqt4-maemo5-* ones.
  * Drop unnecessary versioned dependencies.
  * Modify debian/rules so that Qt 4.6 can be found in /opt/qt4-maemo5 on
    Maemo.
  * debian/control: remove pyside-qt4-help and pyside-qt4-uitools packages,
    because they do not exist in Maemo 5.
  * Disable tests (they obviously do not run on Scratchbox ARM target).
  * Drop build dependency on libqt4-maemo5-opengl-dev (does not exist anymore
    since qt4-maemo5 4.6.0~git20091125-0maemo1 release).
  * CMakeLists.txt: add workarounds for building with
    scratchbox-toolchain-arm-linux-cs2009q1-203sb1, but linking with
    scratchbox-toolchain-cs2007q3-glibc2.5-arm7.
  * scratchbox-toolchain-arm-linux-cs2009q1-203sb1 is not available on the
    autobuilder, therefore debian/rules was modified to use prebuilt binaries.
    Original debian/rules saved to debian/rules.orig.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 19 Nov 2009 12:27:12 -0400

pyside-qt4 (0.2.1-0pyside0~ppa6) unstable; urgency=low

  * Update for final 0.2.1 release
  * Removed dbg package as it was too big for ppa
  * Adding build dependency on exact generator version
  * Added patch to lower boost dependency to 1.38 (provided by ppa/karmic)
  * Adding build dependency on quilt

 -- Lauro Moura <lauro.neto@openbossa.org>  Thu, 15 Oct 2009 16:11:05 -0300

pyside-qt4 (0.2.1-0pyside0~ppa3) unstable; urgency=low

  * Added replaces fields for old packages

 -- Lauro Moura <lauro.neto@openbossa.org>  Thu, 10 Sep 2009 20:30:22 -0300

pyside-qt4 (0.2.1-0pyside0~ppa2) unstable; urgency=low

  * Fix generator dependency.

 -- Lauro Moura <lauro.neto@openbossa.org>  Wed, 09 Sep 2009 21:10:38 -0300

pyside-qt4 (0.2.1-0pyside0~ppa1) unstable; urgency=low

  * Bump to 0.2.1

 -- Lauro Moura <lauro.neto@openbossa.org>  Wed, 09 Sep 2009 16:43:53 -0300

pyside-qt4 (0.1.4.5-0ubuntu1) unstable; urgency=low

  * Initial Release 

 -- Lauro Moura <lauro.neto@openbossa.org>  Mon, 17 Aug 2009 16:21:54 -0300
